# Generated by go2rpm
%bcond_without check

# https://github.com/cloudflare/cfssl
%global goipath         github.com/cloudflare/cfssl
Version:                1.5.0

%gometa

%global common_description %{expand:
CFSSL is CloudFlare's PKI/TLS swiss army knife. It is both a command line tool
and an HTTP API server for signing, verifying, and bundling TLS certificates. It
requires Go 1.11+ to build.}

%global golicenses      LICENSE LICENSE-whitelist
%global godocs          doc CHANGELOG README.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        CFSSL: Cloudflare's PKI and TLS toolkit

# Upstream license specification: ISC and BSD-2-Clause
# main package: BSD
# whitelist: ISC
License:        ISC and BSD
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/cloudflare/backoff)
BuildRequires:  golang(github.com/cloudflare/go-metrics)
BuildRequires:  golang(github.com/cloudflare/redoctober/client)
BuildRequires:  golang(github.com/cloudflare/redoctober/core)
BuildRequires:  golang(github.com/GeertJohan/go.rice)
BuildRequires:  golang(github.com/go-sql-driver/mysql)
BuildRequires:  golang(github.com/google/certificate-transparency-go)
BuildRequires:  golang(github.com/google/certificate-transparency-go/client)
BuildRequires:  golang(github.com/google/certificate-transparency-go/jsonclient)
BuildRequires:  golang(github.com/google/certificate-transparency-go/tls)
BuildRequires:  golang(github.com/google/certificate-transparency-go/x509)
BuildRequires:  golang(github.com/jmhodges/clock)
BuildRequires:  golang(github.com/jmoiron/sqlx)
BuildRequires:  golang(github.com/jmoiron/sqlx/types)
BuildRequires:  golang(github.com/kisielk/sqlstruct)
BuildRequires:  golang(github.com/kisom/goutils/assert)
BuildRequires:  golang(github.com/lib/pq)
BuildRequires:  golang(github.com/mattn/go-sqlite3)
BuildRequires:  golang(github.com/zmap/zcrypto/x509)
BuildRequires:  golang(github.com/zmap/zlint/v2)
BuildRequires:  golang(github.com/zmap/zlint/v2/lint)
BuildRequires:  golang(golang.org/x/crypto/ed25519)
BuildRequires:  golang(golang.org/x/crypto/ocsp)
BuildRequires:  golang(golang.org/x/crypto/pkcs12)
BuildRequires:  golang(golang.org/x/net/context)

%if %{with check}
# Tests
BuildRequires:  golang(github.com/stretchr/testify/require)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
mv whitelist/LICENSE LICENSE-whitelist

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done
mv %{gobuilddir}/bin/mkbundle %{gobuilddir}/bin/cfssl-mkbundle

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
# api/bundle, bundler, revoke: needs network
%gocheck -d api/bundle \
         -d bundler \
         -d certdb/ocspstapling \
         -d helpers \
         -d revoke \
         -d scan/crypto/tls \
         -d signer/local \
         -d api/generator
%endif

%files
%license LICENSE LICENSE-whitelist
%doc doc CHANGELOG README.md
%{_bindir}/*

%gopkgfiles

%changelog
* Thu Dec 17 07:32:03 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.5.0-1
- Update to 1.5.0
- Close: rhbz#1890988

* Sat Aug 22 23:28:26 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.1-4
- Fix FTBFS

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jul 09 16:55:37 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.1-2
- Resolves conflict with mono-devel (#1855262)

* Wed Jan 29 19:45:08 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.1-1
- Update to 1.4.1
- Fix Go 1.14 FTBFS

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Mon Jul 29 21:34:58 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.4-1
- Release 1.3.4

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon May 06 21:54:01 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.3.3-1
- Initial package
